//-------------------------------------------------------------------
//	gl_texture - OpenGL Texture Class
//-------------------------------------------------------------------

#ifndef __GLTexture_h_
#define __GLTexture_h_

#include <stdio.h>
#include <stdlib.h>

#include "glut/glut.h"
#include "tga_image.h"


class gl_texture {

public:
	gl_texture();
	~gl_texture();

	// Create and load the files.
	bool load_TGA(char* file_name);
	bool create_raw_texture(unsigned char* data, GLint format, int width, int height);
	void use();

protected:

	unsigned int m_textureID;
	int m_nWidth, m_nHeight;
};

#endif // __GLTexture_h_